# Uses of Interface
org.opensaml.saml.saml2.metadata.AttributeService

Packages that use AttributeService
Package
Description
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AttributeService in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return AttributeService
Modifier and Type
Method
Description
`AttributeService`
AttributeServiceConverter.`apply(String value, List<String> protocols)`

## Uses of AttributeService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AttributeService
Modifier and Type
Method
Description
`List<AttributeService>`
AttributeAuthorityDescriptor.`getAttributeServices()`
Gets a list of attribute service `Endpoint`s for this authority.

## Uses of AttributeService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AttributeService
Modifier and Type
Class
Description
`class`
`AttributeServiceImpl`
Concrete implementation of `AttributeService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AttributeService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AttributeService>`
AttributeAuthorityDescriptorImpl.`attributeServices`
Attribte query endpoints.
Methods in org.opensaml.saml.saml2.metadata.impl that return AttributeService
Modifier and Type
Method
Description
`AttributeService`
AttributeServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeService`
AttributeServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AttributeService
Modifier and Type
Method
Description
`List<AttributeService>`
AttributeAuthorityDescriptorImpl.`getAttributeServices()`
Gets a list of attribute service `Endpoint`s for this authority.